/* Generated by powerful Codeforces Tool
 * Author: $%U%$
 * Time: $%Y%$-$%M%$-$%D%$ $%h%$:$%m%$
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const int MAXN = 2e5 + 5;
ll N, K;
string s;

void solve(){
    // Code goes here ...
    cin >> N >> K;
    cin >> s;

    if(K % 2 == 0){
        vector<char> all(begin(s), end(s));
        R::sort(all);
        string ns(begin(all), end(all));
        cout << ns << endl;
        return;
    }

    vector<char> even, odd;
    R(i, N){
        if(i % 2 == 0)
            even.push_back(s[i]);
        else
            odd.push_back(s[i]);
    }

    R::sort(even);
    R::sort(odd);
    R::reverse(even);
    R::reverse(odd);

    vector<char> all(N);
    R(i, N){
        if(i % 2 == 0){
            all[i] = even.back();
            even.pop_back();
        }
        else{
            all[i] = odd.back();
            odd.pop_back();
        }
    }
    string ns(begin(all), end(all));
    cout << ns << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    return 0;
}
        
